import { UmbLitElement } from '../../lit-element/index.js';
declare const UmbInputMultipleTextStringElement_base: import("../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
/**
 * @element umb-input-multiple-text-string
 */
export declare class UmbInputMultipleTextStringElement extends UmbInputMultipleTextStringElement_base {
    #private;
    /**
     * This is a minimum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default undefined
     */
    min?: number;
    /**
     * Min validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    minMessage: string;
    /**
     * This is a maximum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default undefined
     */
    max?: number;
    /**
     * Max validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    maxMessage: string;
    /**
     * Disables the input
     * @type {boolean}
     * @attr
     * @default
     */
    set disabled(value: boolean);
    get disabled(): boolean;
    /**
     * Makes the input readonly
     * @type {boolean}
     * @attr
     * @default
     */
    set readonly(value: boolean);
    get readonly(): boolean;
    constructor();
    private _items;
    get items(): Array<string>;
    set items(items: Array<string>);
    getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputMultipleTextStringElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-multiple-text-string': UmbInputMultipleTextStringElement;
    }
}
